com.google.cloud.dataflow.sdk.values

## Interface PCollectionView<T>

Type Parameters:
  `T` - the type of the value(s) accessible via this `PCollectionView`

All Superinterfaces:
  PInput, POutput, PValue, Serializable

    public interface PCollectionView<T>
    extends PValue, Serializable

A `PCollectionView<T>` is an immutable view of a `PCollection` as a value of type `T` that can be accessed as a side input to a `ParDo` transform.

A `PCollectionView` should always be the output of a `PTransform`. It is the joint responsibility of this transform and each `PipelineRunner` to implement the view in a runner-specific manner.

The most common case is using the `View` transforms to prepare a `PCollection` for use as a side input to `ParDo`. See `View.asSingleton()`, `View.asIterable()`, and `View.asMap()` for more detail on specific views available in the SDK.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `fromIterableInternal(Iterable<com.google.cloud.dataflow.sdk.util.WindowedValue<?>> contents)` For internal use only.
`Coder<Iterable<com.google.cloud.dataflow.sdk.util.WindowedValue<?>>>` `getCoderInternal()` For internal use only.
`TupleTag<Iterable<com.google.cloud.dataflow.sdk.util.WindowedValue<?>>>` `getTagInternal()` A unique identifier, for internal use.
`com.google.cloud.dataflow.sdk.util.WindowingStrategy<?,?>` `getWindowingStrategyInternal()` For internal use only.

### Methods inherited from interface com.google.cloud.dataflow.sdk.values.PValue

`getName, getProducingTransformInternal`

### Methods inherited from interface com.google.cloud.dataflow.sdk.values.POutput

`expand, finishSpecifyingOutput, getPipeline, recordAsOutput`

### Methods inherited from interface com.google.cloud.dataflow.sdk.values.PInput

`expand, finishSpecifying, getPipeline`

### Method Detail

#### getTagInternal

    TupleTag<Iterable<com.google.cloud.dataflow.sdk.util.WindowedValue<?>>> getTagInternal()

A unique identifier, for internal use.

#### fromIterableInternal

    T fromIterableInternal(Iterable<com.google.cloud.dataflow.sdk.util.WindowedValue<?>> contents)

For internal use only.

#### getWindowingStrategyInternal

    com.google.cloud.dataflow.sdk.util.WindowingStrategy<?,?> getWindowingStrategyInternal()

For internal use only.

#### getCoderInternal

    Coder<Iterable<com.google.cloud.dataflow.sdk.util.WindowedValue<?>>> getCoderInternal()

For internal use only.